<template lang='pug'>
BaseDialog(ref='dialog' title='Add Transition')
  BaseAnimationGroup.row.justify-content-center(anim="height")
    .col-12(key='duration')
      .input-group.input-group-sm.my-1
        .input-group-prepend
          .input-group-text.text-muted(style='min-width: 8rem;') duration
        input.form-control(type='number' v-model='durationValue')
        select.form-control.x-type(v-model='durationUnit')
          option(value='s') s
          option(value='ms') ms
    .col-12(key='tfunc')
      .input-group.input-group-sm.my-1
        .input-group-prepend
          .input-group-text.text-muted(style='min-width: 8rem;') timing-function
        select.form-control.x-type(v-model='tfunc')
          option(value='linear') linear
          option(value='ease') ease
          option(value='ease-in') ease-in
          option(value='ease-out') ease-out
          option(value='ease-in-out') ease-in-out
          option(value='cubic-bezier(0.42, 0, 0.58, 1)') cubic-bezier (custom)
    .col-12(key='type')
      .input-group.input-group-sm.my-1
        .input-group-prepend
          .input-group-text.text-muted(style='min-width: 8rem;') type
        select.form-control.x-type(v-model='type')
          option(value='strict') strict
          option(value='direct') direct
    .col-12(key='delay')
      .input-group.input-group-sm.my-1
        .input-group-prepend
          .input-group-text.text-muted(style='min-width: 8rem;') delay
        input.form-control(type='number' v-model='delayValue')
        select.form-control.x-type(v-model='delayUnit')
          option(value='s') s
          option(value='ms') ms

  template(v-slot:footer='d')
    button.btn.btn-secondary(@click='d.resolve(false)') Cancel
    button.btn.btn-primary(@click='d.resolve(true)') Ok
</template>
<script src='./CreateTransitionDialog.vue.js' />
